ODR-DABMOD(1)

NAME
odr-dabmod - DAB modulator compliant to ETSI EN 300 401

SYNOPSIS
odr-dabmod <configuration_file>
odr-dabmod input (-f filename -F format | -u uhddevice -F frequency) [-o offset][-G txgain] [-T filter_taps_file] [-a gain] [-c clockrate] [-g gainMode] [-m dabMode] [-r samplingRate] [-l] [-h]

Where input is:

    ETI input filename (default: stdin), or

    tcp://source:port for ETI-over-TCP input, or

    zmq+tcp://source:port for ZMQ input, or

    udp://:port for EDI input.

DESCRIPTION
ODR-DabMod is a software-defined DAB modulator that receives or reads ETI, and generates modulated I/Q data usable for transmission. It can directly interface the Ettus USRP devices, and can also be used with other SDR signal sources.

This I/Q data which is encoded as complex floats (32bits per complex sample) can be written to a file or pipe, sent to a USRP device using the integrated output for the open-source USRP Hardware Driver (UHD) or to other software-defined radio (SDR) devices using the SoapySDR5 library.

The output of the modulator can also be sent to a GNURadio flow-graph for further processing, conversion or analysis using a ZeroMQ network connection.

OPTIONS

-f  Use file output with given filename. (use /dev/stdout for standard output)

-F  Set the output format (see doc/example.ini for formats) for the file output.

-o  Set the timestamp offset added to the timestamp in the ETI. The offset is a double.

    Specifying this option has two implications: It enables synchronous transmission, requiring an external REFCLK and PPS signal and frames that do not contain a valid timestamp get muted.

-u  Use UHD output with given device string. (use for default device)

-F  Set the transmit frequency when using UHD output. (mandatory option when using UHD)

-G  Set the transmit gain for the UHD driver (default: 0)

-T  Enable filtering before the output, using the specified file containing the filter taps.

    Use 'default' as taps_file to use the internal taps.

-a  Apply digital amplitude gain.

-c  Set the DAC clock rate and enable Cic Equalisation.

-g  Set computation gain mode: fix, max or var

-m  Set DAB mode: (0: auto, 1-4: force).

-r  Set output sampling rate (default: 2048000).

-l  Loop file when reach end of file.

-h  Print this help.

SEE ALSO
odr-dabmux(1)

A user guide for the mmbTools is available http://www.opendigitalradio.org/